use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IBold {}

impl IBold {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::Bold<'parse>,
    ) -> Result<IBold, CustomError> {
        Ok(IBold {})
    }
}
