use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IDrawer {}

impl IDrawer {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::Drawer<'parse>,
    ) -> Result<IDrawer, CustomError> {
        Ok(IDrawer {})
    }
}
