use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IExportSnippet {}

impl IExportSnippet {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::ExportSnippet<'parse>,
    ) -> Result<IExportSnippet, CustomError> {
        Ok(IExportSnippet {})
    }
}
