use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IFixedWidthArea {}

impl IFixedWidthArea {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::FixedWidthArea<'parse>,
    ) -> Result<IFixedWidthArea, CustomError> {
        Ok(IFixedWidthArea {})
    }
}
