use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct ILatexEnvironment {}

impl ILatexEnvironment {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::LatexEnvironment<'parse>,
    ) -> Result<ILatexEnvironment, CustomError> {
        Ok(ILatexEnvironment {})
    }
}
