use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IRadioLink {}

impl IRadioLink {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::RadioLink<'parse>,
    ) -> Result<IRadioLink, CustomError> {
        Ok(IRadioLink {})
    }
}
