use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IRadioTarget {}

impl IRadioTarget {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::RadioTarget<'parse>,
    ) -> Result<IRadioTarget, CustomError> {
        Ok(IRadioTarget {})
    }
}
