use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IStrikeThrough {}

impl IStrikeThrough {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::StrikeThrough<'parse>,
    ) -> Result<IStrikeThrough, CustomError> {
        Ok(IStrikeThrough {})
    }
}
