use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug, Clone)]
pub(crate) struct IUnderline {}

impl IUnderline {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        original: &'b organic::types::Underline<'parse>,
    ) -> Result<IUnderline, CustomError> {
        Ok(IUnderline {})
    }
}
